# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderingCallback Class Reference

An abstract class used to perform operations at the end or at the beginning of a rendering. More...

`#include <RenderingCallback.hpp>`

Inheritance diagram for vl::RenderingCallback:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderingCallback ()
virtual bool | renderingCallback (const RenderingAbstract *rendering, ERenderingCallback reason)=0
| Implements the actual code to be executed upon callback activation.
void | setRemoveAfterCall (bool remove)
| Defines if the callback shall be removed after being executed.
bool | removeAfterCall () const
| Defines if the callback shall be removed after being executed.

## Protected Attributes

float | mRank
bool | mRemoveAfterCall

## Detailed Description

An abstract class used to perform operations at the end or at the beginning of a rendering.

Install a callback to react to the following two events: vl::RC_PreRendering and vl::RC_PostRendering. The callbacks are executed in the same order in which they appear in the vl::Rendering::renderingCallbacks() collection. For more information see:

- vl::Rendering::renderingCallbacks()
- vl::Rendering

## Constructor & Destructor Documentation

vl::RenderingCallback::RenderingCallback | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderingCallback::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::BlitFramebuffer, vl::CopyTexSubImage1D, vl::CopyTexSubImage2D, vl::CopyTexSubImage3D, and vl::ReadPixels.

virtual bool vl::RenderingCallback::renderingCallback | ( | const RenderingAbstract * | rendering,
|  | ERenderingCallback | reason |
| ) |  |  | `[pure virtual]`

Implements the actual code to be executed upon callback activation.

Returns:
  `true` if the callback reacted to the given reason

Implemented in vl::BlitFramebuffer, vl::CopyTexSubImage, and vl::ReadPixels.

void vl::RenderingCallback::setRemoveAfterCall | ( | bool | remove | ) | `[inline]`

Defines if the callback shall be removed after being executed.

Note that the callback is removed only if the renderingCallback() method returns `true`.

bool vl::RenderingCallback::removeAfterCall | ( |  | ) | const`[inline]`

Defines if the callback shall be removed after being executed.

Note that the callback is removed only if the renderingCallback() method returns `true`.

## Member Data Documentation

float vl::RenderingCallback::mRank`[protected]`

bool vl::RenderingCallback::mRemoveAfterCall`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderingCallback.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.